#!/usr/bin/env python
# -*- coding: utf-8 -*-

import gtk
import gtk.gdk
import pango

from libvisioo.GLOBALS import sep, TEMP_EXTRACT_DIR, PICS_PATH
from liboogtk.gtk_drawarea import Draw

from libvisioo.debug import todo
import libvisioo.ootable as ootable

class Table (Draw):
	def __init__ (self, table=ootable.TABLE_EMPTY):
		Draw.__init__ (self, 600, 100)

		self.table = table
		self.list_cell = [[]]
		self.cell_nb = 0

		self.width = 0
		self.height = 0

		self.maxheight = 0

		self.connect("expose-event", self.draw_table)
		if table : self.set_table(self.table)

	def set_table (self, ootable):
		""" dessine la table en fonction de ootable """
		self.size = ootable.get_size()
		self.table_size = ootable.get_table_size()
		self.set_size_pixel(self.size)
		self.list_cell = ootable.get_cells()
		self.table_size = ootable.get_table_size()
		self.width = ootable.get_size()[0]


	def _draw_ootext (self, oocell, pos):
		borders = oocell.get_borders_style()
		size = oocell.get_size()

		xtext = oocell.padding
		ytext = oocell.padding

		for border in oocell.left :
			xtext += border[1]

		for border in oocell.top :
			ytext += border[1]

		if oocell.texte :
			pangolayout = self.create_pango_layout("")
			pangolayout.set_text(oocell.texte)
			pangolayout.set_width((oocell.width-xtext-2*oocell.padding)*pango.SCALE)
			pangolayout.set_wrap(pango.WRAP_WORD)

			height = pangolayout.get_pixel_size()[1]+2*ytext
			self.maxheight = max(self.maxheight, height)

			self.window.draw_layout(self.gc, pos[0]+xtext, pos[1]+ytext, pangolayout)


	def _draw_oocell (self, oocell, pos):
		borders = oocell.get_borders_style()
		oocell.set_height(self.maxheight)
		size = oocell.get_size()
		self._draw_cell (pos, size, borders)


	def _draw_cell (self, pos, size, borders = ([(1,1)], [(1,1)], [(1,1)], [(1,1)])):
		""" dessine l ???"""
		top = borders[0]
		bottom = borders[1]
		left = borders[2]
		right = borders[3]

		xtext = 0
		ytext = 0

		#bordure top
		x = pos[0]
		y = pos[1]
		width = size[0]
		for style in top :
			if style[0] : self.draw_rectangle((x, y), (width, style[1]))
			x+=style[1]
			y+=style[1]
			width-=2*style[1]

		#bordure bottom
		x = pos[0]
		y = pos[1]+size[1]
		width = size[0]
		for style in bottom :
			y-=style[1]
			if style[0] : self.draw_rectangle((x, y), (width, style[1]))
			x+=style[1]
			width-=2*style[1]

		#bordure left
		x = pos[0]
		y = pos[1]
		height = size[1]
		for style in left :
			if style[0] : self.draw_rectangle((x, y), (style[1], height))
			x+=style[1]
			y+=style[1]
			height-=2*style[1]

		#bordure right
		x = pos[0]+size[0]
		y = pos[1]
		height = size[1]
		for style in right :
			x-=style[1]
			if style[0] : self.draw_rectangle((x, y), (style[1], height))
			y+=style[1]
			height-=2*style[1]

	def _draw_ootable (self):

		y = 0
		self.height = 0
		for i in xrange(0, self.table_size[0]):
			x = 0
			self.maxheight = 0

			for oocell in self.list_cell[i]:
				""" premier passage : détermine la hauteur max de la ligne
				et écrit le texte """
				self._draw_ootext (oocell, (x,y))
				x += oocell.width - self.table.inter_col
				self.maxheight = max (self.maxheight, oocell.height)

			self.height += self.maxheight


			x = 0
			for oocell in self.list_cell[i]:
				""" deuxieme passage : dessine les cellules """
				self._draw_oocell (oocell, (x,y))
				x += oocell.width - self.table.inter_col
				self.maxheight = max (self.maxheight, oocell.height)

			self.table.rows_height[i] = self.maxheight
			y += self.table.rows_height[i] - self.table.inter_row

	def _auto_resize (self) :
		self.set_size_request(self.width, self.height)

	def draw_table (self, area, event) :
		self.area_style = self.get_style()
		self.gc = self.area_style.fg_gc[gtk.STATE_NORMAL]
		self._draw_ootable ()
		self._auto_resize()
