#!/usr/bin/env python
# -*- coding: utf-8 -*-

import Tkinter as tk
import sys

from libootk.tk_dicos import *
from libvisioo.GLOBALS import *


class ZoneTexte (tk.Text):
	"""
	Création d'une zone de texte et des méthode pour écrire.

	Exemple d'utilisation
	win=gtk.Window()
	zone=Zonetexte()
	zone.bordure(10,10,10,10)
	zone.texte("Presentation style gtk", [("size_points",20)])
	zone.texte_ed("\\g\\uPresentation \\cformatee")
	zone.image("chemin")
	zone.objet(gtk.Button("ok"))
	win.add(zone)

	Variables
	self.oobuffer : gtk.TextBuffer
	self.table : gtk.TextTagTable
	self. : gtk.TextView

	"""

	def __init__ (self, buffer_name='main'):
		tk.Text.__init__(self, background = "#FFFFFF", wrap = "word")
		self.paragraph_new = True
		self.list_new = True

		#styles texte_ed
		self.color = "#0000FF"
		self.underline = 1

	def close (self) :
		pass

	def config (self, marges = (10,10), interligne = 0):
		""" configuration des marges et de l'interligne """
		self.configure(padx = marges[0], pady = marges[1])

	def size (self, x, y):
		self.configure(width = x, height = y)


	def bordure (self, haut, droite, bas, gauche):
		""" configuration des bordures """
		pass

	def def_wrap_mode (self, mode) :
		pass

	def clean (self):
		""" vide le buffer """
		pass

	def not_empty (self) :
		""" renvoie 0 si le buffer est vide, un entier sinon """
		pass

	def get_line_count (self) :
		""" renvoie le nombre de lignes du buffer"""
		pass

	def get_char_count (self) :
		""" renvoie le nombre de caractères du buffer """
		pass

	def image_abs (self, path):
		"""
		affiche l'image definie par path (chemin absolu) à la fin du buffer
		>>> ZoneTexte.image_abs("/home/guillaume/test.jpg")
		"""
		pass

	def image (self,fichier):
		"""affiche en fin de buffer l'image fichier.
		L'image doit être dans le dossier d'extraction.
		display at end of buffer the picture fichier
		>>> ZoneTexte.image("Pictures/0065306036653.png")
		"""
		fichier = TEMP_EXTRACT_DIR+sep+os.path.normpath(fichier)
		img = tk.PhotoImage(file = fichier)
		self.image_create(tk.END, img)

	def objet_abs (self, zone, objet, x, y):
		""" affiche l'objet dans la zone aux coordonnées x,y
		zones gtk :
		gtk.TEXT_WINDOW_RIGHT
		gtk.TEXT_WINDOW_LEFT
		gtk.TEXT_WINDOW_TOP
		gtk.TEXT_WINDOW_BOTTOM
		>>> ZoneTexte.objet_abs (gtk.TEXT_WINDOW_TOP, widget, 10, 20)

		"""
		pass

	def objet (self, objet) :
		""" affiche l'objet à la fin du buffer"""
		self.texte("\n")
		self.texte("\n")

	def set_puce (self, style, num):
		"""
		affiche un tab puis l'image default du dossier puces et ajoute un espace
		style, num pas encore utilisés
		"""
		self.texte("\t")

	def texte_oo (self, texte, oostyle):
		""" affiche var_texte avec le OOStyle var_style"""
# 		self.tag_config("1", foreground = "red")
		tag = []
		for style in oostyle.properties :
			if style[0] == "style:text-underline" :
				self.tag_config("underline", underline = 1)
				tag.append("underline")

			elif style[0] == "fo:color" :
				value = convert (style[0], style[1])
				tagname = "foreground->%s" %value
				self.tag_config(tagname, foreground = value)
				tag.append(tagname)

			elif style[0] in ("fo:background-color", "style:text-background-color") :
				value = convert (style[0], style[1])
				tagname = "background->%s" %value
				self.tag_config(tagname, background = value)
				tag.append(tagname)

			elif style[0] == "fo:font-size" :
				value = convert(style[0], style[1])
				tagname = "size->%s" %value
				self.tag_config(tagname, font = ('Times', value))
				tag.append(tagname)

			elif style[0] == "fo:break-before" : self.do_break_before (style[1])

		tag = tuple(tag)

		self.insert(tk.END, texte, tag)
		self.paragraph_new = False

	def texte (self, texte):
		""" affiche du texte brut à la fin du buffer"""
		self.insert(tk.END, texte)

	def texte_ui (self, texte, liste_style = []):
		"""affiche var_texte avec le style var_style de type [] à la fin du oobuffer
		display var_texte with var_style = [] style at the end of buffer"""
		self.insert(tk.END, texte)

	def new_paragraph (self): self.paragraph_new = True
	def new_list (self): self.list_new = True

	def is_new_paragraph (self) : return self.paragraph_new
	def is_new_list (self) : return self.list_new


	def do_break_before (self, brtype):
		if brtype == "page" and self.paragraph_new :
			self.texte("\n"*5)
			self.texte("-"*80)
			self.texte("\n"*2)

			sys.stderr.write (".")

