# -*- coding: utf-8 -*-

from libvisioo.debug import todo
import libvisioo.oofichier as oofichier

""" BORDER - BORDURE """
BORDER_SAMPLE = [("width","fill", "[color]")]
BORDER_SIMPLE = [(1, 1)]
BORDER_NONE = [(0, 1)]
BORDER_DOUBLE = [(1, 1),(1,0),(1, 1)]

DICO_BORDER = {
"solid":1,
"double":2
}

""" MATH IMG """
PICS_MATH = [
"dlrarrow",
]


""" SPECIAL CHAR/CAR """
DICO_TXT_MATH = {
#OPERATORS
"over":"/",
"toward":"->",
"<>":"≠",
"&":"",

"infinity":"∞",
"cdot":".",


# GREEK CHAR - CAR GREC
"%alpha" : "α",
"%beta" : "β",
"%gamma" : "γ",
"%delta" : "δ",
"%epsilon" : "ε",
"%zeta" : "ζ",
"%eta" : "η",
"%theta" : "θ",
"%iota" : "ι",
"%kappa" : "κ",
"%lambda" : "λ",
"%mu" : "μ",
"%nu" : "ν",
"%xi" : "ξ",
"%pi" : "π",
"%rho" : "ρ",
"%sigma" : "σ",
"%tau" : "τ",
"%upsilon" : "υ",
"%phi" : "φ",
"%chi" : "χ",
"%psi" : "ψ",
"%omega" : "ω",
"%ALPHA" : "A",
"%BETA" : "B",
"%GAMMA" : "Γ",
"%DELTA" : "Δ",
"%EPSILON" : "Ε",
"%ZETA" : "Ζ",
"%ETA" : "Η",
"%THETA" : "Θ",
"%IOTA" : "Ι",
"%KAPPA" : "Κ",
"%LAMBDA" : "Λ",
"%MU" : "Μ",
"%NU" : "Ν",
"%XI" : "Ξ",
"%PI" : "Π",
"%RHO" : "Ρ",
"%SIGMA" : "Σ",
"%TAU" : "Τ",
"%UPSILON" : "Υ",
"%PHI" : "Φ",
"%CHI" : "Χ",
"%PSI" : "Ψ",
"%OMEGA" : "Ω",


#MATHEMATICAL
"left":"",
"right":"",

"lbrac":"{",
"rbrac":"}",
"emptyset":"O"

#Caracters
}


def _convert_border_element (fill, width, color):
	width = oofichier.oo2px(width)
	if 0.01 < width < 1 : width = 1


	if fill in DICO_BORDER.keys() :
		fill = DICO_BORDER[fill]
		if fill == 1 : border=[(fill, width, color)]
		elif fill == 2 :
			border = [(1, width, color), (0, width, color), (1, width, color)]


	else :
		todo("BORDER KEYS", "DICO_BORDER", fill, 1)
		border = BORDER_SIMPLE

	return border


def convert_border (ooborder) :
	todo("BORDER TYPE", ooborder, "", 1)
	if ooborder :
		border = ooborder.split()
		if len(border) == 3 :
			width = border[0]
			fill = border[1]
			color = border[2]
			border = _convert_border_element (fill, width, color)
		elif ooborder == "none" : return BORDER_NONE
		else :
			todo ("BORDER TYPE", "convert_border", border, 1)
			border = [(1, 1, "#000000")]

		return border

	else : return BORDER_NONE
