; Script generated by the HM NIS Edit Script Wizard.

; HM NIS Edit Wizard helper defines
!define PRODUCT_NAME "Visioo-Writer"
!define PRODUCT_VERSION "0.5.2"
!define PRODUCT_PUBLISHER "Fowlalgorn Software France"
!define PRODUCT_WEB_SITE "http://visioo-writer.tuxfamily.org"
!define PRODUCT_DIR_REGKEY "Software\Microsoft\Windows\CurrentVersion\App Paths\python.exe"
!define PRODUCT_UNINST_KEY "Software\Microsoft\Windows\CurrentVersion\Uninstall\${PRODUCT_NAME}"
!define PRODUCT_UNINST_ROOT_KEY "HKLM"

; Variables personnelles
; Personal variables
  ; Type d'installation
  ; Install type
  Var type

  ; Repertoire d'installation de Visioo-Writer
  ; Visioo-Writer install dir
  Var VISIOO_INSTALL
  Var VISIOO
  
  ; Repertoire d'installation de MiniPyGtk
  ; MiniPyGtk install dir
  Var MINI_INSTALL
  Var MINI
  
  ; Variable de version
  ; Version var
  !define VERSION "0.5.2"
  
  ; Variable de texte pour la fin installation, localis
  ; International end of installation text string
  Var TEXTE_FIN
  
; Creation des entres registres necessaires pour l'option View
; Creation of registery command for adding the "View" option
!define REG_ENTRY1 "$MINI_INSTALL\python.exe"
!define REG_ENTRY2 "$VISIOO_INSTALL\Visioo-writer-GTK.py "
!define REG_ENTRYF "$\"${REG_ENTRY1}$\" $\"${REG_ENTRY2}$\" %1"

; Variables speciales pour rafraichir
; Special variables for refreshing
!define SHCNE_ASSOCCHANGED 0x08000000
!define SHCNF_IDLIST 0

; Messages et images de pub
; Advertisments and messages

BrandingText "Fowlalgorn Sofware Installer"

; Compatibilite avec MUI 1.67
; MUI 1.67 compatible ------
!include "MUI.nsh"

; Parametres de MUI
; MUI Settings
!define MUI_ABORTWARNING
!define MUI_ICON "Install\Visioo\pics\icon.ico"
!define MUI_UNICON "Install\Visioo\pics\uninstall.ico"

; Selection des langues
; Language Selection Dialog Settings
!define MUI_LANGDLL_REGISTRY_ROOT "${PRODUCT_UNINST_ROOT_KEY}"
!define MUI_LANGDLL_REGISTRY_KEY "${PRODUCT_UNINST_KEY}"
!define MUI_LANGDLL_REGISTRY_VALUENAME "NSIS:Language"

; Page de bienvenue
; Welcome page
!insertmacro MUI_PAGE_WELCOME

; Page de licence
; License page
!define MUI_LICENSEPAGE_CHECKBOX
!insertmacro MUI_PAGE_LICENSE "Install\Docs\Licence.txt"

; Page personelle de choix d'installation de MiniPyGtk
; Personnal page for MiniPyGtk install directory selections

PageEx directory
  
  DirText "Slectionnez maintenant le rpertoire d'installation de MiniPyGtk $\n$\n Select the MiniPyGtk install directory" "" "" "Slectionner le rpertoire $\n Select a directory"
  DirVar "$MINI_INSTALL"

PageExEnd

; Page personelle de choix d'installation de Visioo-Writer
; Personnal page for Visioo-Writer install directory selections

PageEx directory

  DirText "" "" "" ""
  DirVar "$VISIOO_INSTALL"

PageExEnd

; Page de choix des composants
; Components page
!insertmacro MUI_PAGE_COMPONENTS

; Page d'installation des fichiers
; Instfiles page
!insertmacro MUI_PAGE_INSTFILES

; Page de fin de l'installateur
; Finish page
!define MUI_FINISHPAGE_SHOWREADME "$VISIOO_INSTALL\Docs\Readme.txt"
!define MUI_FINISHPAGE_TEXT "$TEXTE_FIN"
!insertmacro MUI_PAGE_FINISH

; Page de dsinstallation
; Uninstaller pages
!insertmacro MUI_UNPAGE_INSTFILES

; Choix des langues disponibles
; Language files
!insertmacro MUI_LANGUAGE "English"
!insertmacro MUI_LANGUAGE "French"

; Fin de MUI
; MUI end ------

Name "${PRODUCT_NAME} ${PRODUCT_VERSION}"
OutFile "Visioo-Writer.exe"
InstallDir "$PROGRAMFILES\Visioo"
InstallDirRegKey HKLM "${PRODUCT_DIR_REGKEY}" ""
ShowInstDetails hide
ShowUnInstDetails hide
XPStyle on

Function .onInit
  !insertmacro MUI_LANGDLL_DISPLAY

; Ajout des rpertoires par dfaut pour ne pas perdre le quidam moyen !
; Add default choice of directory for newbies !
  StrCpy $VISIOO_INSTALL "$PROGRAMFILES\Visioo"
  StrCpy $MINI_INSTALL "$PROGRAMFILES\MiniPyGtk"

; Ecriture de la phrase finale
; Write the final words
StrCmp $LANGUAGE ${LANG_FRENCH} 0 +2
  StrCpy $TEXTE_FIN "Remarque : Vous pouvez visionner un fichier OpenOffice en faisant Clic Droit -> View"
StrCmp $LANGUAGE ${LANG_ENGLISH} 0 +2
  StrCpy $TEXTE_FIN "Tips : you can directly open an OpenOffice.org document by right-click and select View option"

; Verifications pour verifier le choix de la version de Visioo-Writer
; Verifications if the user choose the right version of Visioo-Writer

; Version francaise
; French version
StrCmp $LANGUAGE ${LANG_FRENCH} 0 INT

; Verification d'une installation prcdente de Visioo-Writer
  ReadRegStr $0 HKLM Software\Microsoft\Windows\CurrentVersion\Uninstall\Visioo-Writer "DisplayVersion"
  StrCmp $0 "" 0 +2
         Goto +6
         StrCmp $0 ${VERSION} +3 0
                MessageBox MB_OK "Visioo-Writer est dj install (Version $0)$\n Vous devez la dsinstaller si vous $\n souhaitez installer cette version de Visioo-Writer"
                Quit
                MessageBox MB_OK "Cette version de Visioo-Writer est dj install (Version $0) $\n$\t$\tRien a faire"
                Quit

  ; Verification d'une installation de python 2.3 
  ReadRegStr $1 HKLM Software\Python\PythonCore\2.3\InstallPath ""
  StrCmp $1 "" 0 +2
         Goto +3
         MessageBox MB_OK "Une version de Python 2.3  t dtecte dans $1 $\nVous ne devez pas installer Minipygtk $\nVous devriez refuser aussi que MiniPyGtk gre vos fichiers pythons"
         SetCurInstType 3

  ; Verification d'une installation de GTK 
  ReadRegStr $2 HKLM Software\GTK\2.0 "Version"
  StrCmp $2 "" 0 +2
         MessageBox MB_OK "GTK n'est pas install, il est ncessaire pour Visioo-Writer$\n Vous devrez l'installez aprs la fin de l'installation $\n Voir GTK_Install.txt dans $VISIOO_INSTALL\Docs\Mini_Howto $\n pour plus de dtail sur l'installation de GTK pour Visioo-Writer"

  ; Verification d'une installation de OpenOffice.org 
  ReadRegStr $3 HKCR .sxw ""
  StrCmp $3 "" 0 END
         MessageBox MB_YESNO "OpenOffice.org ne semble pas etre install $\nVoulez vous que Visioo-Writer rajoute des icones aux fichiers grs ?$\nDans le doute ou si vous savez $\nque vous avez OpenOfffice.org d'install choisissez NON" IDYES oui IDNO non
                    oui:
                        StrCpy $R1 "OUI"
                        Goto fin
                    non:
                        Goto fin
                    fin:
                        Goto END
  Goto END
; FIN version francaise

INT:
; Verification of previous Visioo-Writer installation
  ReadRegStr $0 HKLM Software\Microsoft\Windows\CurrentVersion\Uninstall\Visioo-Writer "DisplayVersion"
  StrCmp $0 "" 0 +2
         Goto +6
         StrCmp $0 ${VERSION} +3 0
                MessageBox MB_OK "Visioo-Writer is already install (Version $0)$\n You will have to uninstall it to use $\n Visioo-Writer $0"
                Quit
                MessageBox MB_OK "This release of Visioo-Writer is already install (Version $0) $\n$\t$\tNothing to do"
                Quit

  ; Verification of previous 2.3 python install
  ReadRegStr $1 HKLM Software\Python\PythonCore\2.3\InstallPath ""
  StrCmp $1 "" 0 +2
         Goto +3
         MessageBox MB_OK "Python 2.3 already install in $1 $\nYou should not install MiniPyGtk $\n and choose NO when the installer ask you$\n if MiniPyGtk manage or not your Python Files"
         SetCurInstType 3

  ; Verification of previous GTK install
  ReadRegStr $2 HKLM Software\GTK\2.0 "Version"
  StrCmp $2 "" 0 +2
         MessageBox MB_OK "GTK is not yet installed, it is mandatory for Visiooo-Writer$\nYou will have to install it AFTER the end of the installation$\nSee GTK_Install_en.txt in $VISIOO_INSTALL\Docs\Mini_Howto $\nfor further installation instructions"

  ; Verification of previous OpenOffice.org install
  ReadRegStr $3 HKCR .sxw ""
  StrCmp $3 "" 0 END
        MessageBox MB_YESNO "OpenOffice.org seem not to be installed $\nDo you want Visioo-Writer to add some icons for sxw files ?" IDYES true IDNO false
                true:
                     StrCpy $R1 "OUI"
                     Goto next
                false:
                     Goto next
                next:
                     Goto END
; END of english version
END:
FunctionEnd

; Definitions des types d'installations
; Define the installations types
InstType "Complete / Full"             ; 1
InstType "Pas de docs / No docs"       ; 2
InstType "Visioo + docs"               ; 3
InstType "Visioo seul / only Visioo"   ; 4


Section  "!Visioo-Writer" SEC01

  SectionIn 1 2 3 4

  SetOverwrite ifnewer
  
  SetOutPath "$VISIOO_INSTALL"
  File "Install\Visioo\visioo-writer.py"
  File "Install\Visioo\visioo-writer-GTK.py"
  File "Install\Visioo\changelog"
  File "Install\Visioo\change_language.py"
  File "Install\Visioo\Bienvenue.sxw"

  SetOutPath "$VISIOO_INSTALL\libvisioo"

  File "Install\Visioo\libvisioo\About.py"
  File "Install\Visioo\libvisioo\Astuce.py"
  File "Install\Visioo\libvisioo\debug.py"
  File "Install\Visioo\libvisioo\__init__.py"
  File "Install\Visioo\libvisioo\locales.py"
  File "Install\Visioo\libvisioo\oocontent.py"
  File "Install\Visioo\libvisioo\oodicos.py"
  File "Install\Visioo\libvisioo\oofichier.py"
  File "Install\Visioo\libvisioo\oogtkobject.py"
  File "Install\Visioo\libvisioo\oometa.py"
  File "Install\Visioo\libvisioo\ooobject.py"
  File "Install\Visioo\libvisioo\ooodtcontent.py"
  File "Install\Visioo\libvisioo\ooparser.py"
  File "Install\Visioo\libvisioo\oostyles.py"
  File "Install\Visioo\libvisioo\oosxwcontent.py"
  File "Install\Visioo\libvisioo\ootable.py"
  File "Install\Visioo\libvisioo\oovar.py"

  ; Cration du fichier GLOBALS.py par l'installateur pour permettre la slection du rpertoire
  ; Creation of GLOBALS.py by installer in order to allow directory choice
    FileOpen $R0 GLOBALS.py w
    FileWrite $R0 "#!/usr/bin/python$\r$\n"
    FileWrite $R0 "# -*- coding: utf-8 -*-\r$\n"
    FileWrite $R0 "$\r$\n$\r$\n"
    FileWrite $R0 "#Fichier cree par Fowlalgorn Installer lors de l'installation$\r$\n"
    FileWrite $R0 "#File created by the Fowlalgorn Installer during installation$\r$\n"
    FileWrite $R0 "$\r$\n$\r$\n"
    FileWrite $R0 "#fr Variables globales necessaires au bon fonctionnement du logiciel$\r$\n"
    FileWrite $R0 "# sert aussi de fichier de config ;-)$\r$\n"
    FileWrite $R0 "#en Global variables? needed by the software$\r$\n"
    FileWrite $R0 "# can be used for configuration ;-)$\r$\n"
    FileWrite $R0 "import os, sys$\r$\n"
    FileWrite $R0 "$\r$\n$\r$\n"
    FileWrite $R0 "PROG_NAME = $\"Visioo-writer 0.5 RC1$\"$\r$\n"
    FileWrite $R0 "MAIN_WINDOW_WIDTH = 800$\r$\n"
    FileWrite $R0 "MAIN_WINDOW_HEIGHT = 600$\r$\n"
    FileWrite $R0 "MAIN_WINDOW_BORDER_WIDTH = 5$\r$\n"
    FileWrite $R0 "CONTENT_TAB_MARGIN = (10,10)$\r$\n"
    FileWrite $R0 "CONTENT_TAB_INTERLINE = 1$\r$\n"
    FileWrite $R0 "META_TAB_MARGIN = (30,10)$\r$\n"
    FileWrite $R0 "META_TAB_INTERLINE = 6$\r$\n"
    FileWrite $R0 "OOO_EXTENSION_SIZE = 3$\r$\n"
    FileWrite $R0 "TEXT_OUTPUT_EXTENSION = $\"txt$\"$\r$\n"
    FileWrite $R0 "HTML_OUTPUT_EXTENSION = $\"html$\"$\r$\n"
    FileWrite $R0 "DEFAULT_OOO_FILE = $\"Bienvenue.sxw$\"$\r$\n"
    FileWrite $R0 "$\r$\n$\r$\n"
    FileWrite $R0 "INSTALL_PATH=$\"$VISIOO_INSTALL$\"$\r$\n"
    FileWrite $R0 "LANGUAGE_PATH=$\"$VISIOO_INSTALL\\i18n$\"$\r$\n"
    FileWrite $R0 "PICS_PATH=$\"$VISIOO_INSTALL\\pics$\"$\r$\n"
    FileWrite $R0 "CONFIG_PATH=$\"$VISIOO_INSTALL\\visiooconfig$\"$\r$\n"
    FileWrite $R0 "TEMP_EXTRACT_DIR = $\"$TEMP\\visioo_tmp_extract_dir$\"$\r$\n"
    FileWrite $R0 "ROOT_PATH=$\"C:\\$\"$\r$\n"
    FileWrite $R0 "OOO_PATH=$\"C:\\$\"$\r$\n"
    FileWrite $R0 "TXT_PATH=$\"C:\\$\"$\r$\n"
    FileWrite $R0 "$\r$\n"
    FileWrite $R0 "sep=os.sep$\r$\n"
    FileClose $R0
    StrCmp $LANGUAGE ${LANG_FRENCH} 0 +2
           DetailPrint "Ecriture du fichier GLOBALS.py russie"
    StrCmp $LANGUAGE ${LANG_ENGLISH} 0 +2
           DetailPrint "File GLOBALS.py successfully write"
  ; Fin de l'criture du fichier GLOBALS.PY
  ; End of GLOBALS.py writing

  SetOutPath "$VISIOO_INSTALL\libvisioo\liboogtk"
    File "Install\Visioo\libvisioo\liboogtk\dicos.py"
  File "Install\Visioo\libvisioo\liboogtk\drawarea.py"
  File "Install\Visioo\libvisioo\liboogtk\__init__.py"
  File "Install\Visioo\libvisioo\liboogtk\table.py"
  File "Install\Visioo\libvisioo\liboogtk\window.py"
  File "Install\Visioo\libvisioo\liboogtk\zonetexte.py"

  SetOutPath "$VISIOO_INSTALL\pics"
  File "Install\Visioo\pics\icon.ico"
  File "Install\Visioo\pics\icon.png"
  File "Install\Visioo\pics\about.jpg"
  File "Install\Visioo\pics\uninstall.ico"
  File "Install\Visioo\pics\language.png"
  File "Install\Visioo\pics\language.ico"
  File "Install\Visioo\pics\info.png"
  
  SetOutPath "$VISIOO_INSTALL\pics\math"
  File "Install\Visioo\pics\math\dlrarrowbig"
  File "Install\Visioo\pics\math\dlrarrow"

  SetOutPath "$VISIOO_INSTALL\pics\puces"
  File "Install\Visioo\pics\puces\default.png"
  
  
; Gestion i18n
; i18n manager

  StrCmp $LANGUAGE ${LANG_FRENCH} 0 +9
         SetOutPath "$VISIOO_INSTALL\visiooconfig"
         File "Install\Visioo\i18n\fr\main"
         File "Install\Visioo\i18n\fr\meta"
         File "Install\Visioo\i18n\fr\debug"
         File "Install\Visioo\i18n\fr\thanks"
         File "Install\Visioo\i18n\fr\translation"
         File "Install\Visioo\i18n\fr\astuces"
         File "Install\Visioo\i18n\fr\contributors"

  StrCmp $LANGUAGE ${LANG_ENGLISH} 0 +9
         SetOutPath "$VISIOO_INSTALL\visiooconfig"
         File "Install\Visioo\i18n\en\main"
         File "Install\Visioo\i18n\en\meta"
         File "Install\Visioo\i18n\en\debug"
         File "Install\Visioo\i18n\en\thanks"
         File "Install\Visioo\i18n\en\translation"
         File "Install\Visioo\i18n\en\astuces"
         File "Install\Visioo\i18n\en\contributors"
; Fin gestion i18n
; End of i18n manager

  SetOverwrite off
; Met par dfaut des fichiers francais en cas de bug ou de manque d'un fichier
; Put french files in case of lake of i18n files
  SetOutPath "$VISIOO_INSTALL\visiooconfig"
     File "Install\Visioo\i18n\fr\main"
     File "Install\Visioo\i18n\fr\meta"
     File "Install\Visioo\i18n\fr\debug"
     File "Install\Visioo\i18n\fr\thanks"
     File "Install\Visioo\i18n\fr\translation"
     File "Install\Visioo\i18n\fr\astuces"
     File "Install\Visioo\i18n\fr\contributors"
; Fin de l'ajout des fichiers manquants
; End of missing files french completion

  SetOverwrite ifnewer

  SetOutPath "$VISIOO_INSTALL\i18n\fr"
  File "Install\Visioo\i18n\fr\main"
  File "Install\Visioo\i18n\fr\meta"
  File "Install\Visioo\i18n\fr\debug"
  File "Install\Visioo\i18n\fr\thanks"
  File "Install\Visioo\i18n\fr\translation"
  File "Install\Visioo\i18n\fr\astuces"
  File "Install\Visioo\i18n\fr\contributors"

  SetOutPath "$VISIOO_INSTALL\i18n\en"
  File "Install\Visioo\i18n\en\main"
  File "Install\Visioo\i18n\en\meta"
  File "Install\Visioo\i18n\en\debug"
  File "Install\Visioo\i18n\en\thanks"
  File "Install\Visioo\i18n\en\translation"
  File "Install\Visioo\i18n\en\astuces"
  File "Install\Visioo\i18n\en\contributors"
  
  SetOutPath "$VISIOO_INSTALL"
  CreateDirectory "$SMPROGRAMS\Visioo-Writer"
  CreateShortCut "$SMPROGRAMS\Visioo-Writer\Visioo-Writer.lnk" "$VISIOO_INSTALL\visioo-writer-GTK.py" "" "$VISIOO_INSTALL\pics\icon.ico"
  
  SetAutoClose false
  
SectionEnd

Section "MiniPyGTK" SEC02

  SectionIn 1 2

  SetOverwrite ifnewer
  
  SetOutPath "$MINI_INSTALL"
  File "Install\MiniPyGtk\_sre.pyd"
  File "Install\MiniPyGtk\datetime.pyd"
  ; Creation du fichier path.py par l'installateur
  ; Creation of file path.py by installer
    FileOpen $R0 path.py w
    FileWrite $R0 "#!/usr/bin/python$\r$\n"
    FileWrite $R0 "# -*- coding: utf-8 -*-$\r$\n"
    FileWrite $R0 "$\r$\n"
    FileWrite $R0 "#Fichier de slection des rpertoires de modules python, cree par l'installateur$\r$\n#NE PAS MODIFIER sauf si vous savez ce que vous faites !$\r$\n"
    FileWrite $R0 "$\r$\n"
    FileWrite $R0 "#File of selection of python modules directory created by installer$\r$\n#DO NOT MODIFIY IT UNTIL YOU KNOW WHAT YOU DO ! $\r$\n"
    FileWrite $R0 "$\r$\n"
    FileWrite $R0 "$\r$\n"
    FileWrite $R0 "import sys$\r$\n"
    FileWrite $R0 "$\r$\n"
    FileWrite $R0 "def addpath():$\r$\n"
    FileWrite $R0 "$\tprint $\"Tiny Python hacked version by fowlalgorn (shrink and site.py modified)$\"$\r$\n"
    FileWrite $R0 "$\tprint $\"Gtk improvement by the Fowlalgorn Team$\"$\r$\n"
    FileWrite $R0 "$\t#Pour MS Windows 95 98 ME 2000 XP and more :-)$\r$\n"
    FileWrite $R0 "$\tsys.path.append($\"$MINI_INSTALL\\Lib$\")$\r$\n"
    FileWrite $R0 "$\tsys.path.append($\"$MINI_INSTALL\\Lib\\compiler$\")$\r$\n"
    FileWrite $R0 "$\tsys.path.append($\"$MINI_INSTALL\\Lib\\encodings$\")$\r$\n"
    FileWrite $R0 "$\tsys.path.append($\"$MINI_INSTALL\\Lib\\xml$\")$\r$\n"
    FileWrite $R0 "$\tsys.path.append($\"$MINI_INSTALL\\Lib\\Gtk_2$\")$\r$\n"
    FileWrite $R0 "$\r$\n"
    FileClose $R0
    StrCmp $LANGUAGE ${LANG_FRENCH} 0 +2
           DetailPrint "Ecriture du fichier path.py pour MiniPygtk russie"
    StrCmp $LANGUAGE ${LANG_ENGLISH} 0 +2
           DetailPrint "File path.py successfully write"
  ; Fin de la creation du fichier
  ; End of file creation
  File "Install\MiniPyGtk\python.exe"
  File "Install\MiniPyGtk\python23.dll"
  File "Install\MiniPyGtk\Python23.zip"
  File "Install\MiniPyGtk\site.py"
  File "Install\MiniPyGtk\zlib.pyd"
  File "Install\MiniPyGtk\pyexpat.pyd"
  File "Install\MiniPyGtk\_socket.pyd"

  SetOutPath "$MINI_INSTALL\Lib"
  File "Install\MiniPyGtk\Lib\urllib.py"
  File "Install\MiniPyGtk\Lib\nturl2path.py"
  File "Install\MiniPyGtk\Lib\weakref.py"
  File "Install\MiniPyGtk\Lib\linecache.py"
  File "Install\MiniPyGtk\Lib\os.py"
  File "Install\MiniPyGtk\Lib\shutil.py"
  File "Install\MiniPyGtk\Lib\socket.py"
  File "Install\MiniPyGtk\Lib\string.py"
  File "Install\MiniPyGtk\Lib\urlparse.py"
  File "Install\MiniPyGtk\Lib\warnings.py"
  File "Install\MiniPyGtk\Lib\xmlrpclib.py"
  File "Install\MiniPyGtk\Lib\zipfile.py"
  File "Install\MiniPyGtk\Lib\random.py"

  SetOutPath "$MINI_INSTALL\Lib\compiler"
  File "Install\MiniPygtk\Lib\compiler\future.py"

  SetOutPath "$MINI_INSTALL\Lib\Gtk_2"
  File "Install\MiniPygtk\Lib\Gtk_2\pygtk.pth"
  File "Install\MiniPygtk\Lib\Gtk_2\pygtk.py"
  File "Install\MiniPygtk\Lib\Gtk_2\atk.pyd"
  File "Install\MiniPygtk\Lib\Gtk_2\dsextras.py"
  File "Install\MiniPygtk\Lib\Gtk_2\gobject.pyd"
  File "Install\MiniPygtk\Lib\Gtk_2\pango.pyd"

  SetOutPath "$MINI_INSTALL\Lib\Gtk_2\codegen"
  File "Install\MiniPygtk\Lib\Gtk_2\codegen\argtypes.py"
  File "Install\MiniPygtk\Lib\Gtk_2\codegen\codegen.py"
  File "Install\MiniPygtk\Lib\Gtk_2\codegen\definitions.py"
  File "Install\MiniPygtk\Lib\Gtk_2\codegen\defsparser.py"
  File "Install\MiniPygtk\Lib\Gtk_2\codegen\docextract.py"
  File "Install\MiniPygtk\Lib\Gtk_2\codegen\docgen.py"
  File "Install\MiniPygtk\Lib\Gtk_2\codegen\h2def.py"
  File "Install\MiniPygtk\Lib\Gtk_2\codegen\mergedefs.py"
  File "Install\MiniPygtk\Lib\Gtk_2\codegen\mkskel.py"
  File "Install\MiniPygtk\Lib\Gtk_2\codegen\override.py"
  File "Install\MiniPygtk\Lib\Gtk_2\codegen\scmexpr.py"
  File "Install\MiniPygtk\Lib\Gtk_2\codegen\__init__.py"

  SetOutPath "$MINI_INSTALL\Lib\Gtk_2\gtk"
  File "Install\MiniPygtk\Lib\Gtk_2\gtk\compat.py"
  File "Install\MiniPygtk\Lib\Gtk_2\gtk\glade.pyd"
  File "Install\MiniPygtk\Lib\Gtk_2\gtk\keysyms.py"
  File "Install\MiniPygtk\Lib\Gtk_2\gtk\_gtk.pyd"
  File "Install\MiniPygtk\Lib\Gtk_2\gtk\__init__.py"

  SetOutPath "$MINI_INSTALL\Lib\Gtk_2\defs"
  File "Install\MiniPygtk\Lib\Gtk_2\defs\atk-types.defs"
  File "Install\MiniPygtk\Lib\Gtk_2\defs\atk.defs"
  File "Install\MiniPygtk\Lib\Gtk_2\defs\gdk-types.defs"
  File "Install\MiniPygtk\Lib\Gtk_2\defs\gdk.defs"
  File "Install\MiniPygtk\Lib\Gtk_2\defs\gtk-extrafuncs.defs"
  File "Install\MiniPygtk\Lib\Gtk_2\defs\gtk-types.defs"
  File "Install\MiniPygtk\Lib\Gtk_2\defs\gtk.defs"
  File "Install\MiniPygtk\Lib\Gtk_2\defs\libglade.defs"
  File "Install\MiniPygtk\Lib\Gtk_2\defs\pango-types.defs"
  File "Install\MiniPygtk\Lib\Gtk_2\defs\pango.defs"

  SetOutPath "$MINI_INSTALL\Lib\xml"
  File "Install\MiniPygtk\Lib\xml\__init__.py"

  SetOutPath "$MINI_INSTALL\Lib\xml\parsers"
  File "Install\MiniPygtk\Lib\xml\parsers\expat.py"
  File "Install\MiniPygtk\Lib\xml\parsers\__init__.py"

  SetOutPath "$MINI_INSTALL\Lib\xml\sax"
  File "Install\MiniPygtk\Lib\xml\sax\expatreader.py"
  File "Install\MiniPygtk\Lib\xml\sax\handler.py"
  File "Install\MiniPygtk\Lib\xml\sax\saxutils.py"
  File "Install\MiniPygtk\Lib\xml\sax\xmlreader.py"
  File "Install\MiniPygtk\Lib\xml\sax\_exceptions.py"
  File "Install\MiniPygtk\Lib\xml\sax\__init__.py"

  SetOutPath "$MINI_INSTALL\Lib\encodings"
  File "Install\MiniPyGtk\Lib\encodings\aliases.py"
  File "Install\MiniPyGtk\Lib\encodings\__init__.py"
  File "Install\MiniPyGtk\Lib\encodings\iso8859_7.py"
  File "Install\MiniPyGtk\Lib\encodings\ascii.py"
  File "Install\MiniPyGtk\Lib\encodings\charmap.py"
  File "Install\MiniPyGtk\Lib\encodings\iso8859_1.py"
  File "Install\MiniPyGtk\Lib\encodings\iso8859_10.py"
  File "Install\MiniPyGtk\Lib\encodings\iso8859_13.py"
  File "Install\MiniPyGtk\Lib\encodings\iso8859_14.py"
  File "Install\MiniPyGtk\Lib\encodings\iso8859_15.py"
  File "Install\MiniPyGtk\Lib\encodings\iso8859_2.py"
  File "Install\MiniPyGtk\Lib\encodings\iso8859_3.py"
  File "Install\MiniPyGtk\Lib\encodings\iso8859_4.py"
  File "Install\MiniPyGtk\Lib\encodings\iso8859_5.py"
  File "Install\MiniPyGtk\Lib\encodings\iso8859_6.py"
  File "Install\MiniPyGtk\Lib\encodings\iso8859_8.py"
  File "Install\MiniPyGtk\Lib\encodings\iso8859_9.py"
  File "Install\MiniPyGtk\Lib\encodings\raw_unicode_escape.py"
  File "Install\MiniPyGtk\Lib\encodings\string_escape.py"
  File "Install\MiniPyGtk\Lib\encodings\undefined.py"
  File "Install\MiniPyGtk\Lib\encodings\unicode_escape.py"
  File "Install\MiniPyGtk\Lib\encodings\unicode_internal.py"
  File "Install\MiniPyGtk\Lib\encodings\utf_8.py"

  SetOutPath "$MINI_INSTALL"
  CreateShortCut "$SMPROGRAMS\Visioo-Writer\Python.lnk" "$MINI_INSTALL\python.exe"

  SetAutoClose false
  
SectionEnd

SectionGroup "Documentations"

Section "Documentation MiniPyGTK" SEC03

  SectionIn 1

  SetOverwrite ifnewer

; Gestion i18n
; i18n manager

  StrCmp $LANGUAGE ${LANG_FRENCH} 0 +8
         SetOutPath "$MINI_INSTALL\Docs"
         File "Install\Docs\MiniPyGTK\Readme_Minipygtk.txt"
         File "Install\Docs\MiniPyGTK\Changelog"

         SetOutPath "$MINI_INSTALL\Docs\Licences"
         File "Install\Docs\MiniPyGTK\Licences\PSF.txt"
         File "Install\Docs\MiniPyGTK\Licences\LGPL.txt"

  StrCmp $LANGUAGE ${LANG_ENGLISH} 0 +8
          SetOutPath "$MINI_INSTALL\Docs"
          File "Install\Docs\MiniPyGTK\Readme_Minipygtk_en.txt"
          File "Install\Docs\MiniPyGTK\Changelog"
          
          SetOutPath "$MINI_INSTALL\Docs\Licences"
          File "Install\Docs\MiniPyGTK\Licences\PSF.txt"
          File "Install\Docs\MiniPyGTK\Licences\LGPL.txt"
          
; Fin de la gestion i18n
; End of i18n manager
SectionEnd

  
Section "Documentation Visioo-Writer" SEC04

  SectionIn 1 3

  SetOverwrite ifnewer
  
; Gestion i18n
; i18n manager

  StrCmp $LANGUAGE ${LANG_FRENCH} 0 +15
  
         SetOutPath "$VISIOO_INSTALL\Docs"
         File "Install\Docs\Visioo\Changelog"
         File "Install\Docs\Visioo\fr\Readme.txt"

         SetOutPath "$VISIOO_INSTALL\Docs\Mini_HOWTO"
         File "Install\Docs\Visioo\Mini_Howto\HOWTO_Translation-fr.txt"
         File "Install\Docs\Visioo\Mini_Howto\HOWTO_Translation.txt"
         File "Install\Docs\Visioo\Mini_Howto\GTK_Install.txt"
         
         SetOutPath "$VISIOO_INSTALL\Docs\Licences"
         File "Install\Docs\Visioo\Licences\GPL.txt"
         SetOutPath "$VISIOO_INSTALL\Docs\Developers"
         File "Install\Docs\Visioo\Developers\plan_du_code.txt"

  StrCmp $LANGUAGE ${LANG_ENGLISH} 0 +8
  
         SetOutPath "$VISIOO_INSTALL\Docs\Mini_HOWTO"
         File "Install\Docs\Visioo\Mini_Howto\HOWTO_Translation.txt"
         File "Install\Docs\Visioo\Mini_Howto\GTK_Install_en.txt"

         SetOutPath "$VISIOO_INSTALL\Docs\Licences"
         File "Install\Docs\Visioo\Licences\GPL.txt"
         
; Fin de la gestion i18n
; End of i18n manager

  SetOverwrite off
  SetOutPath "$VISIOO_INSTALL\Docs"
  File "Install\Docs\Visioo\Changelog"
  File "Install\Docs\Visioo\en\Readme.txt"

  SetOutPath "$VISIOO_INSTALL\Docs"
  CreateShortCut "$SMPROGRAMS\Visioo-Writer\Readme.lnk" "$VISIOO_INSTALL\Docs\Readme.txt"
  DetailPrint "Visioo = $VISIOO_INSTALL$\n Minipygtk = $MINI_INSTALL "
SectionEnd

SectionGroupEnd

Section -AdditionalIcons

  SetOutPath $MINI_INSTALL
  CreateShortCut "$SMPROGRAMS\Visioo-Writer\Uninstall.lnk" "$MINI_INSTALL\uninst.exe"

  SetOutPath $VISIOO_INSTALL
  WriteIniStr "$VISIOO_INSTALL\${PRODUCT_NAME}.url" "InternetShortcut" "URL" "${PRODUCT_WEB_SITE}"

  SetOutPath $VISIOO_INSTALL
  CreateShortCut "$SMPROGRAMS\Visioo-Writer\Visioo_WEB.lnk" "$VISIOO_INSTALL\${PRODUCT_NAME}.url"
  CreateShortCut "$SMPROGRAMS\Visioo-Writer\Change_Language.lnk" "$VISIOO_INSTALL\change_language.py" "" "$VISIOO_INSTALL\pics\language.ico"

SectionEnd

Section -Post

; Rcupere le type d'installation
; Read the installation type
  GetCurInstType $type

  WriteUninstaller "$MINI_INSTALL\uninst.exe"

  WriteRegStr HKLM "${PRODUCT_DIR_REGKEY}" "" "$MINI_INSTALL\python.exe"
  WriteRegStr ${PRODUCT_UNINST_ROOT_KEY} "${PRODUCT_UNINST_KEY}" "DisplayName" "$(^Name)"
  WriteRegStr ${PRODUCT_UNINST_ROOT_KEY} "${PRODUCT_UNINST_KEY}" "UninstallString" "$MINI_INSTALL\uninst.exe"
  WriteRegStr ${PRODUCT_UNINST_ROOT_KEY} "${PRODUCT_UNINST_KEY}" "DisplayIcon" "$MINI_INSTALL\python.exe"
  WriteRegStr ${PRODUCT_UNINST_ROOT_KEY} "${PRODUCT_UNINST_KEY}" "DisplayVersion" "${PRODUCT_VERSION}"
  WriteRegStr ${PRODUCT_UNINST_ROOT_KEY} "${PRODUCT_UNINST_KEY}" "URLInfoAbout" "${PRODUCT_WEB_SITE}"
  WriteRegStr ${PRODUCT_UNINST_ROOT_KEY} "${PRODUCT_UNINST_KEY}" "Publisher" "${PRODUCT_PUBLISHER}"


; Ajout de l'option View lancant la visionneuse Python"
; Add the "View" option in Windows Menu
  WriteRegStr HKCR "soffice.StarWriterDocument.6\shell\View\command" "" "${REG_ENTRYF}"
              StrCmp $LANGUAGE ${LANG_FRENCH} 0 +2
                     DetailPrint "Ajout de l'option View"
              StrCmp $LANGUAGE ${LANG_ENGLISH} 0 +2
                     DetailPrint "Add the View Option"
                     
; Ajout de l'option View lancant la visionneuse pour fichiers textes"
; Add the "View" option in Windows Menu for text documents
  WriteRegStr HKCR "txtfile\shell\View\command" "" "${REG_ENTRYF}"
              StrCmp $LANGUAGE ${LANG_FRENCH} 0 +2
                     DetailPrint "Ajout de l'option View pour fichier textes"
              StrCmp $LANGUAGE ${LANG_ENGLISH} 0 +2
                     DetailPrint "Add the View Option for text files"


; Ajout de la gestion auto des PY, PYC, PYO, PYD par MiniPyGTK
; Add the manager of files PY, PYC, PYO, PYD by MiniPyGTK

; Attention
; Be careful
; type = 0 <=> install 1
; type = 1 <=> install 2
; type = 2 <=> install 3
; type = 3 <=> install 4

  StrCmp $type "0" OUI +1
  StrCmp $type "1" OUI +1
  StrCmp $type "32" +1 NON
         StrCmp $LANGUAGE ${LANG_FRENCH} 0 +6
                MessageBox MB_YESNO "Voulez vous que MiniPygtk gere vos fichiers Python ?$\nSi vous avez Python d'install choisissez non $\nDans le cas contraire choisissez plutt oui" IDYES oui_mini IDNO non_mini  ; cas personalis
                    oui_mini:
                        Goto OUI
                    non_mini:
                        Goto NON
         StrCmp $LANGUAGE ${LANG_ENGLISH} 0 +6
                MessageBox MB_YESNO "Do you want Minipygtk to manage your Python Files ?$\n If you have a valid Python install, select no$\n in other case select yes" IDYES ok_mini IDNO no_mini  ; custom install
                    ok_mini:
                        Goto OUI
                    no_mini:
                        Goto NON

  OUI:

         WriteRegExpandStr HKCR ".py" "" "Python"
         WriteRegExpandStr HKCR ".pyc" "" "Python"
         WriteRegExpandStr HKCR ".pyo" "" "Python"
         WriteRegExpandStr HKCR ".pyd" "" "Python"
         
         StrCmp $LANGUAGE ${LANG_FRENCH} 0 +2
                DetailPrint "Ajout de la gestion des fichiers Pythons par MiniPyGtk"
         StrCmp $LANGUAGE ${LANG_ENGLISH} 0 +2
                DetailPrint "Add the manager for Python files"

        ; Cration de la gestion personalise
        ; Add custom management of python files
        WriteRegExpandStr HKCR "Python\DefaultIcon" "" "$MINI_INSTALL\python.exe,0"
        WriteRegExpandStr HKCR "Python\shell" "" "open"
        WriteRegExpandStr HKCR "Python\shell\open\command" "" "$MINI_INSTALL\python.exe %1"

        ; Ajout dans "software" pour reconnaissance ultrieure par d'autres applications
        ; Adding in Software for others installations needs
        WriteRegStr HKLM "Software\Python\PythonCore\2.3\InstallPath" "" "$MINI_INSTALL"
        WriteRegStr HKLM "Software\Python\PythonCore\2.3\PythonPath" "" "$MINI_INSTALL"

NON:

  StrCmp $3 "" 0 +10
        ; Ajout de l'option Visionner pour les fichiers .sxw avec ecriture le cas echeant de l'extension .sxw
        ; Add the View option for sxw file whith (enventually) creation of sxw mimetype
        WriteRegStr HKCR ".sxw" "" "soffice.StarWriterDocument.6"
        WriteRegStr HKCR ".sxw" "Content Type" "application/vnd.sun.xml.writer"
        StrCmp $LANGUAGE ${LANG_FRENCH} 0 +2
                DetailPrint "Ajoute extension sxw dans base de registre"
         StrCmp $LANGUAGE ${LANG_ENGLISH} 0 +2
                DetailPrint "Add sxw extension in registry"

  ; Ajout eventuel des icones pour les fichiers OpenOffice.org
  ; Eventually, add icons for OpenOffice.org files
    StrCmp $R1 "OUI" 0 +6
           WriteRegStr HKCR "soffice.StarWriterDocument.6\DefaultIcon" "" "$VISIOO_INSTALL\pics\icon.ico"
            StrCmp $LANGUAGE ${LANG_FRENCH} 0 +2
                DetailPrint "Ajout des icones"
            StrCmp $LANGUAGE ${LANG_ENGLISH} 0 +2
                DetailPrint "Add icons"

  ; Ajout de la gestion des rpertoires
  ; Add directory management
  WriteRegStr HKLM "Software\MiniPygtk" "InstallPath" "$MINI_INSTALL"
               DetailPrint "MiniPyGtk : $MINI_INSTALL"
  WriteRegStr HKLM "Software\VisiooWriter" "InstallPath" "$VISIOO_INSTALL"
               DetailPrint "Visioo-Writer : $VISIOO_INSTALL"


; By jerome tremblay - april 2003
; Rafraichis les icones cres utilises par l'installateur
; Refresh the icons made by the installer

  System::Call 'shell32.dll::SHChangeNotify(i, i, i, i) v \
  (${SHCNE_ASSOCCHANGED}, ${SHCNF_IDLIST}, 0, 0)'

SectionEnd

; Section descriptions
!insertmacro MUI_FUNCTION_DESCRIPTION_BEGIN
        !insertmacro MUI_DESCRIPTION_TEXT ${SEC01} "Coeur du logiciel  : OBLIGATOIRE$\nCore of the Software : MANDATORY"
        !insertmacro MUI_DESCRIPTION_TEXT ${SEC02} "Interpreteur Python et librairies graphiques : OBLIGATOIRES$\nPython interpreter and graphical libraries : MANDATORY"
        !insertmacro MUI_DESCRIPTION_TEXT ${SEC03} "Documentation et licence : RECOMMANDE$\nDocumentation and license : RECOMMANDED"
        !insertmacro MUI_DESCRIPTION_TEXT ${SEC04} "Documentation et licence : RECOMMANDE$\nDocumentation and license : RECOMMANDED"
!insertmacro MUI_FUNCTION_DESCRIPTION_END

Function un.onUninstSuccess
  HideWindow
  StrCmp $LANGUAGE ${LANG_FRENCH} 0 +2
         MessageBox MB_ICONINFORMATION|MB_OK "$(^Name) a t dsinstall avec succs de votre ordinateur."
  StrCmp $LANGUAGE ${LANG_ENGLISH} 0 +2
         MessageBox MB_ICONINFORMATION|MB_OK "$(^Name) has been succesfully uninstalled from your computer."
FunctionEnd

Function un.onInit
  !insertmacro MUI_UNGETLANGUAGE
  StrCmp $LANGUAGE ${LANG_FRENCH} 0 +3
         MessageBox MB_ICONQUESTION|MB_YESNO|MB_DEFBUTTON2 "tes-vous certains de vouloir dsinstaller totalement $(^Name) et tous ses composants ?" IDYES +2
         Abort
  StrCmp $LANGUAGE ${LANG_ENGLISH} 0 +3
         MessageBox MB_ICONQUESTION|MB_YESNO|MB_DEFBUTTON2 "Do you really want to uninstall $(^Name) and all his components ?" IDYES +2
         Abort
FunctionEnd

Section Uninstall

  ; Lecture des rpertoires d'installation et affichage
  ; Detection and warnings about installs directorys
  
  ReadRegStr $VISIOO HKLM "Software\VisiooWriter" "InstallPath"
             DetailPrint "$VISIOO -> Visioo-Writer"

  ReadRegStr $MINI HKLM "Software\MiniPygtk" "InstallPath"
             DetailPrint "$MINI -> MiniPyGtk"

  Delete "$MINI\${PRODUCT_NAME}.url"
  Delete "$MINI\uninst.exe"

; MiniPyGtk

  Delete "$MINI\Docs\Changelog"
  Delete "$MINI\Docs\Readme_Minipygtk.txt"
  Delete "$MINI\Docs\Licences\LGPL.txt"
  Delete "$MINI\Docs\Licences\PSF.txt"

  Delete "$MINI\Lib\encodings\aliases.py"
  Delete "$MINI\Lib\encodings\__init__.py"
  Delete "$MINI\Lib\encodings\iso8859_7.py"
  Delete "$MINI\Lib\encodings\ascii.py"
  Delete "$MINI\Lib\encodings\charmap.py"
  Delete "$MINI\Lib\encodings\iso8859_1.py"
  Delete "$MINI\Lib\encodings\iso8859_10.py"
  Delete "$MINI\Lib\encodings\iso8859_13.py"
  Delete "$MINI\Lib\encodings\iso8859_14.py"
  Delete "$MINI\Lib\encodings\iso8859_15.py"
  Delete "$MINI\Lib\encodings\iso8859_2.py"
  Delete "$MINI\Lib\encodings\iso8859_3.py"
  Delete "$MINI\Lib\encodings\iso8859_4.py"
  Delete "$MINI\Lib\encodings\iso8859_5.py"
  Delete "$MINI\Lib\encodings\iso8859_6.py"
  Delete "$MINI\Lib\encodings\iso8859_8.py"
  Delete "$MINI\Lib\encodings\iso8859_9.py"
  Delete "$MINI\Lib\encodings\raw_unicode_escape.py"
  Delete "$MINI\Lib\encodings\string_escape.py"
  Delete "$MINI\Lib\encodings\undefined.py"
  Delete "$MINI\Lib\encodings\unicode_escape.py"
  Delete "$MINI\Lib\encodings\unicode_internal.py"
  Delete "$MINI\Lib\encodings\utf_8.py"
  Delete "$MINI\Lib\xml\sax\__init__.py"
  Delete "$MINI\Lib\xml\sax\_exceptions.py"
  Delete "$MINI\Lib\xml\sax\xmlreader.py"
  Delete "$MINI\Lib\xml\sax\saxutils.py"
  Delete "$MINI\Lib\xml\sax\handler.py"
  Delete "$MINI\Lib\xml\sax\expatreader.py"
  Delete "$MINI\Lib\xml\parsers\__init__.py"
  Delete "$MINI\Lib\xml\parsers\expat.py"
  Delete "$MINI\Lib\xml\__init__.py"
  Delete "$MINI\Lib\Gtk_2\defs\pango.defs"
  Delete "$MINI\Lib\Gtk_2\defs\pango-types.defs"
  Delete "$MINI\Lib\Gtk_2\defs\libglade.defs"
  Delete "$MINI\Lib\Gtk_2\defs\gtk.defs"
  Delete "$MINI\Lib\Gtk_2\defs\gtk-types.defs"
  Delete "$MINI\Lib\Gtk_2\defs\gtk-extrafuncs.defs"
  Delete "$MINI\Lib\Gtk_2\defs\gdk.defs"
  Delete "$MINI\Lib\Gtk_2\defs\gdk-types.defs"
  Delete "$MINI\Lib\Gtk_2\defs\atk.defs"
  Delete "$MINI\Lib\Gtk_2\defs\atk-types.defs"
  Delete "$MINI\Lib\Gtk_2\gtk\__init__.py"
  Delete "$MINI\Lib\Gtk_2\gtk\_gtk.pyd"
  Delete "$MINI\Lib\Gtk_2\gtk\keysyms.py"
  Delete "$MINI\Lib\Gtk_2\gtk\glade.pyd"
  Delete "$MINI\Lib\Gtk_2\gtk\compat.py"
  Delete "$MINI\Lib\Gtk_2\codegen\__init__.py"
  Delete "$MINI\Lib\Gtk_2\codegen\scmexpr.py"
  Delete "$MINI\Lib\Gtk_2\codegen\override.py"
  Delete "$MINI\Lib\Gtk_2\codegen\mkskel.py"
  Delete "$MINI\Lib\Gtk_2\codegen\mergedefs.py"
  Delete "$MINI\Lib\Gtk_2\codegen\h2def.py"
  Delete "$MINI\Lib\Gtk_2\codegen\docgen.py"
  Delete "$MINI\Lib\Gtk_2\codegen\docextract.py"
  Delete "$MINI\Lib\Gtk_2\codegen\defsparser.py"
  Delete "$MINI\Lib\Gtk_2\codegen\definitions.py"
  Delete "$MINI\Lib\Gtk_2\codegen\codegen.py"
  Delete "$MINI\Lib\Gtk_2\codegen\argtypes.py"
  Delete "$MINI\Lib\Gtk_2\pango.pyd"
  Delete "$MINI\Lib\Gtk_2\gobject.pyd"
  Delete "$MINI\Lib\Gtk_2\dsextras.py"
  Delete "$MINI\Lib\Gtk_2\atk.pyd"
  Delete "$MINI\Lib\Gtk_2\pygtk.py"
  Delete "$MINI\Lib\Gtk_2\pygtk.pth"
  Delete "$MINI\Lib\compiler\future.py"
  Delete "$MINI\Lib\urllib.py"
  Delete "$MINI\Lib\nturl2path.py"
  Delete "$MINI\Lib\weakref.py"
  Delete "$MINI\Lib\linecache.py"
  Delete "$MINI\Lib\os.py"
  Delete "$MINI\Lib\shutil.py"
  Delete "$MINI\Lib\socket.py"
  Delete "$MINI\Lib\string.py"
  Delete "$MINI\Lib\urlparse.py"
  Delete "$MINI\Lib\warnings.py"
  Delete "$MINI\Lib\xmlrpclib.py"
  Delete "$MINI\Lib\zipfile.py"

  Delete "$MINI\_sre.pyd"
  Delete "$MINI\datetime.pyd"
  Delete "$MINI\path.py"
  Delete "$MINI\python.exe"
  Delete "$MINI\python23.dll"
  Delete "$MINI\Python23.zip"
  Delete "$MINI\site.py"
  Delete "$MINI\zlib.pyd"
  Delete "$MINI\pyexpat.pyd"
  Delete "$MINI\_socket.pyd"


; Visioo-Writer

  Delete "$VISIOO\Docs\Mini_HOWTO\HOWTO_Translation.txt"
  Delete "$VISIOO\Docs\Mini_HOWTO\HOWTO_Translation-fr.txt"
  Delete "$VISIOO\Docs\Mini_Howto\GTK_Install_en.txt"
  Delete "$VISIOO\Docs\Mini_Howto\GTK_Install.txt"
  Delete "$VISIOO\Docs\Developers\plan_du_code.txt"
  Delete "$VISIOO\Docs\Licences\GPL.txt"
  Delete "$VISIOO\Docs\Licences\Licence.txt"
  Delete "$VISIOO\Docs\Readme.txt"
  Delete "$VISIOO\Docs\Changelog"

  Delete "$VISIOO\libvisioo\uninst.exe"
  Delete "$VISIOO\libvisioo\liboogtk\zonetexte.py"
  Delete "$VISIOO\libvisioo\liboogtk\window.py"
  Delete "$VISIOO\libvisioo\liboogtk\table.py"
  Delete "$VISIOO\libvisioo\liboogtk\__init__.py"
  Delete "$VISIOO\libvisioo\liboogtk\drawarea.py"
  Delete "$VISIOO\libvisioo\liboogtk\dicos.py"
  Delete "$VISIOO\libvisioo\oovar.py"
  Delete "$VISIOO\libvisioo\ootable.py"
  Delete "$VISIOO\libvisioo\oosxwcontent.py"
  Delete "$VISIOO\libvisioo\oostyles.py"
  Delete "$VISIOO\libvisioo\ooparser.py"
  Delete "$VISIOO\libvisioo\ooodtcontent.py"
  Delete "$VISIOO\libvisioo\ooobject.py"
  Delete "$VISIOO\libvisioo\oometa.py"
  Delete "$VISIOO\libvisioo\oogtkobject.py"
  Delete "$VISIOO\libvisioo\oofichier.py"
  Delete "$VISIOO\libvisioo\oodicos.py"
  Delete "$VISIOO\libvisioo\oocontent.py"
  Delete "$VISIOO\libvisioo\locales.py"
  Delete "$VISIOO\libvisioo\__init__.py"
  Delete "$VISIOO\libvisioo\debug.py"
  Delete "$VISIOO\libvisioo\Astuce.py"
  Delete "$VISIOO\libvisioo\About.py"

  Delete "$VISIOO\i18n\other_languages\en\thanks"
  Delete "$VISIOO\i18n\other_languages\en\meta"
  Delete "$VISIOO\i18n\other_languages\en\main"
  Delete "$VISIOO\i18n\other_languages\en\debug"
  Delete "$VISIOO\i18n\other_languages\fr\thanks"
  Delete "$VISIOO\i18n\other_languages\fr\debug"
  Delete "$VISIOO\i18n\other_languages\fr\meta"
  Delete "$VISIOO\i18n\other_languages\fr\main"
  Delete "$VISIOO\i18n\thanks"
  Delete "$VISIOO\i18n\debug"
  Delete "$VISIOO\i18n\meta"
  Delete "$VISIOO\i18n\main"

  Delete "$VISIOO\changelog"
  Delete "$VISIOO\Bienvenue.sxw"
  Delete "$VISIOO\about.jpg"
  Delete "$VISIOO\visioo-writer.py"
  Delete "$VISIOO\visioo-writer-GTK.py"


; Raccourci
; Shortcuts

  Delete "$SMPROGRAMS\Visioo-Writer\Uninstall.lnk"
  Delete "$SMPROGRAMS\Visioo-Writer\Website.lnk"
  Delete "$SMPROGRAMS\Visioo-Writer\about.lnk"
  Delete "$SMPROGRAMS\Visioo-Writer\Python.lnk"
  Delete "$SMPROGRAMS\Visioo-Writer\visioo-writer-GTK.lnk"
  Delete "$SMPROGRAMS\Visioo-Writer\Readme.lnk"

  RMDir /r  "$SMPROGRAMS\Visioo-Writer"

; Rpertoires
; Directorys

  RMDir "$VISIOO\libvisioo\pics\puces"
  RMDir "$VISIOO\libvisioo\pics\math"
  RMDir "$VISIOO\libvisioo\pics"
  RMDir "$VISIOO\libvisioo\liboogtk"
  RMDir "$VISIOO\libvisioo"
  RMDir "$VISIOO\i18n\other_languages\fr"
  RMDir "$VISIOO\i18n\other_languages\en"
  RMDir "$VISIOO\i18n"
  RMDir "$VISIOO\Docs\Mini_HOWTO"
  RMDir "$VISIOO\Docs\Licences"
  RMDir "$VISIOO\Docs\Developers"
  RMDir "$VISIOO\Docs"
  RMDir /r "$VISIOO"
  
  RMDir "$MINI\Lib\xml\sax"
  RMDir "$MINI\Lib\xml\parsers"
  RMDir "$MINI\Lib\xml"
  RMDir "$MINI\Lib\Gtk_2\gtk"
  RMDir "$MINI\Lib\Gtk_2\defs"
  RMDir "$MINI\Lib\Gtk_2\codegen"
  RMDir "$MINI\Lib\Gtk_2"
  RMDir "$MINI\Lib\compiler"
  RMDir "$MINI\Lib"
  RMDir "$MINI\Docs\Licences"
  RMDir "$MINI\Docs"
  RMDir /r "$MINI"

; Gestion base de registre
; Regkey management

  DeleteRegKey ${PRODUCT_UNINST_ROOT_KEY} "${PRODUCT_UNINST_KEY}"

  ; Suppression des clefs de rpertoires
  ; Delete Install dirs RegKey
  DeleteRegKey HKLM "Software\VisiooWriter"
  DeleteRegKey HKLM "Software\MiniPygtk"

  DeleteRegKey HKLM "${PRODUCT_DIR_REGKEY}"

  ; Suppression de la gestion Fowlalgorn Python
  ; Suppression of Fowlalgorn Python Manager
  DeleteRegKey HKCR "Python"

  ; Suppression de la reconnaissance Software de python
  ; Suppression of Python software regkeys
  ReadRegStr $R2 HKCR ".py" ""
             StrCmp $R2 "Python.File" +12 0
             DeleteRegKey HKLM "Software\Python\PythonCore\2.3\InstallPath"
             DeleteRegKey HKLM "Software\Python\PythonCore\2.3\PythonPath"
             DeleteRegKey HKLM "Software\Python\PythonCore\2.3"
             DeleteRegkey HKCR ".py" 
             DeleteRegkey HKCR ".pyc" 
             DeleteRegkey HKCR ".pyo" 
             DeleteRegkey HKCR ".pyd"
             StrCmp $LANGUAGE ${LANG_FRENCH} 0 +2
                DetailPrint "Supprime la gestion des fichiers Pythons par MiniPyGtk"
             StrCmp $LANGUAGE ${LANG_ENGLISH} 0 +2
                DetailPrint "Remove the manager for Python files"

  ; Suppression de l'option Visionner pour les fichiers .sxw
  ; View option suppression
  DeleteRegKey HKCR "soffice.StarWriterDocument.6\shell\View\command" ""
  DeleteRegKey HKCR "soffice.StarWriterDocument.6\shell\View\" ""
  DeleteRegKey HKCR "txtfile\shell\View\command" ""
  DeleteRegKey HKCR "txtfile\shell\View\" ""
  StrCmp $LANGUAGE ${LANG_FRENCH} 0 +2
                DetailPrint "Supprime l'option View"
  StrCmp $LANGUAGE ${LANG_ENGLISH} 0 +2
                DetailPrint "Remove View option"

  ; Suppression eventuelle des icones pour les fichiers OpenOffice.org
  ; Eventually, remove icons for OpenOffice.org files
  StrCmp $R1 "OUI" 0 +3
         StrCmp $3 "" 0 +2
                       DeleteRegKey HKCR "soffice.StarWriterDocument.6\DefaultIcon" ""
  SetAutoClose false
SectionEnd