#!/usr/bin/python
# -*- coding: utf-8 -*-

__author__ = "Guillaume BATY"
__version__ = "0.1"
__copyright__ = "Copyright (c) 2004 Guillaume BATY"
__license__ = "GPL"
__description__ = "Interface graphique de visioo-writer"

import gtk, gtk.gdk
import time, os, sys
import os.path

import liboogtk
import libvisioo.oofichier as oofichier
import libvisioo.oocontent as oocontent
import libvisioo.oometa as oometa

from libvisioo.GLOBALS import *
from libvisioo.debug import *

import libvisioo.visioo_str as visioo_str
from libvisioo.oodefault_styles import *

UI = "gtk"

META_TAB_POLICY = (gtk.POLICY_NEVER, gtk.POLICY_AUTOMATIC)
CONTENT_TAB_POLICY = (gtk.POLICY_AUTOMATIC, gtk.POLICY_AUTOMATIC)



class Pile :
	def __init__(self): self.NB = 0
	def plus (self) : self.NB += 1
	def moins (self) : self.NB -= 1
	def destroy (self) :
		if self.NB < 1:
			gtk.main_quit()

class MainWindow :

	def lecture_fichier(self, fichier) :
		t = time.time()

		MainWindow(fichier)
		print time.time() - t

	def ouverture_fichier (self, *args) :
		try : os.chdir(OOO_PATH)
		except : os.chdir(INSTALL_PATH)
		self.fileselection = gtk.FileSelection( "%s %s"\
		%(_("open").capitalize(), _("OpenDocument file")))
		self.fileselection.connect("destroy", lambda win : self.fileselection.destroy())
		self.fileselection.ok_button.connect("clicked", self.file_ok_sel)
		self.fileselection.cancel_button.connect("clicked", lambda win : self.fileselection.destroy())
		self.fileselection.complete('*.sxw')
		self.fileselection.set_icon(gtk.gdk.pixbuf_new_from_file(PICS_PATH + sep + "icon.png"))
		self.fileselection.show()


	def file_ok_sel(self, *args) :
		self.fichier = self.fileselection.get_filename()
		print "%s" %self.fichier
		self.lecture_fichier (self.fichier)
		self.fileselection.destroy()

	def output_ok_sel(self, *args) :
		self.output=self.outputselection.get_filename()

		deb=self.content.main.oobuffer.get_start_iter()
		fin=self.content.main.oobuffer.get_end_iter()

		if os.path.exists(self.output) :
			quest=gtk.MESSAGE_QUESTION
			yn=gtk.BUTTONS_OK_CANCEL
			b_erase=gtk.MessageDialog(None, 0, quest, yn, _("erase file ?").capitalize())

			response = b_erase.run()

			if response == gtk.RESPONSE_OK : erase = 1
			else : erase = 0

			b_erase.destroy()

		else : erase = 1

		if erase :
			self.outputselection.destroy()
			f = open(self.output,'w')
			f.write(self.content.main.oobuffer.get_text(deb,fin))
			f.close()

	def win_destroy (self, *args) :
		self.fenetre.destroy()
		oofichier.efface_rep_tmp()
		self.pile.destroy()

	def export_texte (self,*args) :
		os.chdir(TXT_PATH)
		self.outputselection = gtk.FileSelection( _("export to _Text").capitalize() )
		self.outputselection.connect("destroy", lambda win : self.outputselection.destroy())
		self.outputselection.ok_button.connect("clicked", self.output_ok_sel)
		self.outputselection.cancel_button.connect("clicked", lambda win : self.outputselection.destroy())
		self.outputselection.complete('*.txt')
		icon = gtk.gdk.pixbuf_new_from_file (PICS_PATH + sep + "icon.png")
		self.outputselection.set_icon(icon)
		self.outputselection.show()

	def create_astuce (self, widget) :
		try : self.astuce.close()
		except : pass #Il n'y a pas de fenetre astuce ouvert
		#self.astuce = Astuce()
		self.astuce = liboogtk.RandomTips()

	def create_about (self, widget) :
		self.onglets_about = gtk.Notebook()
		self.onglets_about.set_tab_pos(gtk.POS_TOP)
		self.onglets_about.set_scrollable(True)

		path = SHARE_PATH + sep + "about"

		title = gtk.Label(_("About"))
		note = liboogtk.ZoneTexte()
		note.config ((10, 10), 0)
		note.bordure (10, 10, 10, 10)
		note.texte('\n\n\n\n')
		note.texte_oo(visioo_str.about, OOSTYLE_MAIN_TITLE)
		self.onglets_about.append_page(note, title)

		scroll = gtk.ScrolledWindow()
		scroll.set_policy (gtk.POLICY_AUTOMATIC, gtk.POLICY_AUTOMATIC)
		title = gtk.Label(_("Translations"))
		note = liboogtk.ZoneTexte()
		note.config ((10, 10), 0)
		note.bordure (10, 10, 10, 10)
		note.texte('\n')
		note.texte_oo(_("Translations"), OOSTYLE_MAIN_TITLE)
		note.texte('\n\n')
		for x in visioo_str.translations :
			note.texte_oo(x[0], OOSTYLE_VISIOOWRITER)
			note.texte('\n\t')
			note.texte_oo(x[1], OOSTYLE_DEFAULT)
			note.texte(' ')
			note.texte_oo(x[2], OOSTYLE_NICKNAME)
			note.texte(' ')
			note.texte_oo(x[3], OOSTYLE_COMMENT)
			note.texte('\n\n')
		note.texte('\n')
		note.texte (visioo_str.comments)
		scroll.add(note)
		self.onglets_about.append_page(scroll, title)

		scroll = gtk.ScrolledWindow()
		scroll.set_policy (gtk.POLICY_AUTOMATIC, gtk.POLICY_AUTOMATIC)
		title = gtk.Label(_("Contributors"))
		note = liboogtk.ZoneTexte()
		note.config ((10, 10), 0)
		note.bordure (10, 10, 10, 10)
		note.texte('\n')
		note.texte_oo(_("Contributors"), OOSTYLE_MAIN_TITLE)
		note.texte('\n\n')
		for x in visioo_str.contributors :
			note.texte_oo(x[0], OOSTYLE_TEXT_LARGE)
			note.texte('  ')
			note.texte_oo(x[1], OOSTYLE_COMMENT)
			note.texte('\n')
		scroll.add(note)
		self.onglets_about.append_page(scroll, title)

		scroll = gtk.ScrolledWindow()
		scroll.set_policy (gtk.POLICY_AUTOMATIC, gtk.POLICY_AUTOMATIC)
		title = gtk.Label(_("Thanks"))
		note = liboogtk.ZoneTexte()
		note.config ((10, 10), 0)
		note.bordure (10, 10, 10, 10)
		note.texte('\n')
		note.texte_oo(_("Thanks"), OOSTYLE_MAIN_TITLE)
		note.texte('\n\n')
		note.texte_oo(visioo_str.thanks, OOSTYLE_DEFAULT)
		scroll.add(note)
		self.onglets_about.append_page(scroll, title)

		scroll = gtk.ScrolledWindow()
		scroll.set_policy (gtk.POLICY_AUTOMATIC, gtk.POLICY_AUTOMATIC)
		title = gtk.Label(_("Changelog"))
		note = liboogtk.ZoneTexte()
		note.config ((10, 10), 0)
		note.bordure (10, 10, 10, 10)
		note.texte('\n')
		note.texte_oo(_("Changelog"), OOSTYLE_MAIN_TITLE)
		note.texte('\n')
		for x in visioo_str.changelog :
			note.texte_oo('\n\nV'+x[0], OOSTYLE_VISIOOWRITER)
			note.texte('\n')
			note.texte_oo(x[1], OOSTYLE_DEFAULT)
		scroll.add(note)
		self.onglets_about.append_page(scroll, title)

		self.win_about = gtk.Window()
		self.win_about.add(self.onglets_about)
		self.win_about.resize(500,250)
		self.win_about.show_all()



	def __init__ (self, fichier) :
		self.pile = Pile()
		self.fichier = fichier
		self.astuce = None

		# Boite Boutons
		self.boite=gtk.HBox()

		self.bouvrir = gtk.Button(stock = "gtk-open" )
		self.bquit = gtk.Button(stock = "gtk-quit")

		file2txt_img = gtk.Image()
		file2txt_img.set_from_file(os.path.join(PICS_PATH, "file2txt.png"))
		self.bexptxt = gtk.Button( _("Export to _Text") )
# 		self.bexptxt.set_image(file2txt_img)

		self.babout = gtk.Button(stock = "gtk-about")
		self.bastuce = gtk.Button(stock = "gtk-dialog-info")

		self.bouvrir.connect('clicked',self.ouverture_fichier)
		self.bquit.connect('clicked', self.win_destroy)
		self.bexptxt.connect('clicked',self.export_texte)
		self.babout.connect('clicked', self.create_about)
		self.bastuce.connect('clicked', self.create_astuce)

		self.boite.pack_start(self.bouvrir,expand = False)
		self.boite.pack_start(self.bquit,expand = False)
		self.boite.pack_start(self.bexptxt,expand = False)
		self.boite.pack_end(self.babout,expand = False)
		self.boite.pack_end(self.bastuce,expand = False)

		# Fenetre
		self.fenetre = gtk.Window()
		self.fenetre.connect('destroy', self.win_destroy)
		self.fenetre.resize(MAIN_WINDOW_WIDTH, MAIN_WINDOW_HEIGHT)
		self.fenetre.set_resizable(True)
		self.fenetre.set_border_width(MAIN_WINDOW_BORDER_WIDTH)
		self.fenetre.set_title(fichier + " - Visioo-Writer")
		self.fenetre.set_icon(gtk.gdk.pixbuf_new_from_file(PICS_PATH + sep + "icon.png"))

		self.onglets = gtk.Notebook()
		self.onglets.set_tab_pos(gtk.POS_TOP)
		self.onglets.set_scrollable(True)

		self.bv = gtk.VBox()
		self.bv.set_spacing(5)

		self.bv.pack_start(self.onglets)
		self.bv.pack_start(self.boite, expand = False)
		self.fenetre.add(self.bv)

		self.scrollcontent = gtk.ScrolledWindow()
		self.scrollcontent.set_policy (gtk.POLICY_AUTOMATIC, gtk.POLICY_AUTOMATIC)

		self.scrollnotes = gtk.ScrolledWindow()
		self.scrollnotes.set_policy (gtk.POLICY_NEVER, gtk.POLICY_AUTOMATIC)

		self.scrollmeta = gtk.ScrolledWindow()
		self.scrollmeta.set_policy (gtk.POLICY_NEVER, gtk.POLICY_AUTOMATIC)

		self.content = oocontent.Content(self.fichier, UI)
		self.meta = oometa.Meta(self.fichier, UI)

		self.scrollcontent.add(self.content.get_content())
		self.onglets.append_page( self.scrollcontent, gtk.Label( _("Text") ) )

		if self.content.notes.get_line_count() > 4 :
			self.scrollnotes.add(self.content.get_notes())
			self.onglets.append_page(self.scrollnotes, gtk.Label( _("Notes") ))

		if self.meta.not_empty() :
			self.scrollmeta.add(self.meta.get_meta())
			self.onglets.append_page(self.scrollmeta, gtk.Label( _("Meta-Info") ))

		self.fenetre.show_all()



if __name__ == '__main__':

	t = time.time()

	MainWindow(oofichier.import_fichier())
	print "\n", time.time() - t

	gtk.main()
