#!/usr/bin/python
# -*- coding: utf-8 -*-

import sys, os
import getopt
import time

import gettext, locale

install_type = None

# Detect installation type : local or global
try :
	from libvisioo.GLOBALS import *
	install_type = 'Local Install'
except :
	sys.path.append ('/usr/lib/python2.3/site-packages/fowlsoft')
	from libvisioo.GLOBALS import *
	install_type = 'Global Install'

from libvisioo.debug import *

if __name__ == '__main__':

	# i18n support, thanks Florent Manens
	gettext.install('visioowriter', LANGUAGE_PATH)

	LISTE_OPTIONS_LONGUES = [
	'version', 'help', 'debug', 'verbose',
	'file=', 'interface=', 'ui='
	]
	OPTIONS = sys.argv[1:]
	SUPPORT_UI = ['gtk', 'tk', 'txt', 'html']
	VERSION = PROG_NAME
	FICHIER = None
	UI = None

	try:
		opts, args = getopt.getopt(OPTIONS, 'hdvf:i:', LISTE_OPTIONS_LONGUES)
	except :
		if len(sys.argv) > 1 : FICHIER = sys.argv[1]
	else :
		for opt, value in opts:
			if opt in ('-v', '--version') :
				print '-'*50
				print '          version :', VERSION
				print '     ', COPYRIGHT
				print '-'*50
				sys.exit()

			elif opt in ('-h', '--help') :
				f = open ('%s/COMMANDS' %DOC_PATH)
				lines = f.readlines()
				for l in lines : print l[:-1]
				f.close()
				print 'A1 -- ', _('Supported users-interface'), ':', SUPPORT_UI
				sys.exit()

			elif opt in ('-d', '--debug') :
				print 'debug mode'

			elif opt in ('-f', '--file') :
				FICHIER = value

			elif opt in ('-i', '--interface', '--ui') :
				if value in SUPPORT_UI : UI = value
				else : UI = None

			elif opt in ('--verbose') :
				print install_type

	if len(sys.argv) > 2 and FICHIER : sys.argv = ['visioo_writer_bin', FICHIER]
	elif len(sys.argv) > 2 : sys.argv = ['visioo_writer_bin', ]


	if not UI :
		try : import gtk
		except : print 'GTK', _('not found').upper()
		else : UI = 'gtk'

	if not UI :
		try :
			import Tkinter
			Tkinter.Tk()
		except : print 'Tkinter', _('not found').upper()
		else : UI = 'tk'

	if not UI :
		_('No UI found'), _('text mode used').upper()
		UI = 'txt'

### END UI SELECTION ###
	print PROG_NAME, _('with'), UI, _('\tloading....')
### LOADING UI ###

	if UI == 'gtk' :
		execfile('%s/visioo-writer-GTK.py' %BIN_PATH)
	elif UI == 'tk' :
		execfile('%s/visioo-writer-TK.py' %BIN_PATH)
	elif UI == 'txt' :
		print 'TXT UI', _('not implemented').upper()
	elif UI == 'html' :
		execfile('%s/visioo-writer-HTML.py' %BIN_PATH)
